Cancel an event
curl --request PUT \
--url https://api.spacebring.com/events/v1/{id}/cancel \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/events/v1/{id}/cancel"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/events/v1/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": {
"confirmationEmail": {
"enabled": true,
"template": "<string>"
},
"createDate": "2023-11-07T05:31:56Z",
"customTax": {
"enabled": true,
"rate": 123
},
"endDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limitedAttendees": {
"enabled": true,
"limit": 0
},
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": {
"credits": {
"amount": 123,
"enabled": true,
"amountDiscounted": 123
},
"money": {
"amount": 123,
"enabled": true,
"amountDiscounted": 123
}
},
"showAttendees": true,
"startDate": "2023-11-07T05:31:56Z",
"title": "<string>",
"attendees": 0,
"cancelDate": "2023-11-07T05:31:56Z",
"deleteDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"imageUrl": "<string>",
"joined": true,
"locale": "<string>",
"venue": "<string>"
}
}{
"message": "<string>",
"type": "<string>"
}Events
Cancel an event
Cancel an event.
OAuth
Required scopes:eventsPUT
/
events
/
v1
/
{id}
/
cancel
Cancel an event
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Path Parameters
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I